Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07203 Crash/Freeze Critical (emulation) Always Jan 11, 2019, 02:35 Aug 23, 2019, 16:05
Tester Planestate View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Confirmed Driver stv.cpp
Version 0.205 Fixed in Version Build 64-bit
Summary 07203: batmanfr: Extreme slowdown when starting stage after Monarch Bat
Description Issue caught by LORDBBH
https://www.twitch.tv/videos/362007072?t=00h39m20s

It's a regression, but not clear when it started happening.
Steps To Reproduce
Additional Information Save State added for use with 0.205 and Git as of this writing (mame0205-341-gb999de69a5) - slot Q
DRC does not appear to be an issue.
Flags
Regression Version 0.198
Affected Sets / Systems batmanfr
Attached Files
7z file icon q.7z (992,832 bytes) Jan 11, 2019, 10:14 Uploaded by Tafoid
Save State for MAME 0,.205/Git just before slowdown
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.16025
Hydreigon
Tester
Jan 11, 2019, 14:33
edited on: Jan 11, 2019, 17:23
There have been a few reports of slowdown related issues on these ST-V games. Most notable examples are 05188 and 06149 .
User avatar
No.16026
Tafoid
Administrator
Jan 11, 2019, 17:23
Hydreigon, these other bugs you mention reporting slowdown are most likely unrelated to this particular issue since this appears to be a recent regression.
Have you tried the save state I made before commenting? That isn't normal render related slowdown and shouldn't be confused as such.
We are talking like 1 frame per 2-3 seconds type of slowdown!
User avatar
No.16040
Haze
Senior Tester
Jan 16, 2019, 13:44
edited on: Jan 16, 2019, 13:45
is this another one that's down to cam900? I know he made some STV mods..

there have been other performance regressions tho, ideally STV needs rewriting, or maybe modifying to use the mednafen code as the code in MAME is from a time when the platform really wasn't well understood.
User avatar
No.16782
MetalGod
Senior Tester
Aug 23, 2019, 12:56
edited on: Aug 23, 2019, 16:04
After some long testing I can confirm regression version is 0.198

stv.cpp
- 0.198: Disable ROZ optimization if mode is either 2 or 3, fixes at least (MESS) 'Bulk Slash' and 'Death Crimson' ROZ layer bugs. ROZ fixes for Radiant SilverGun Xiga stage. Support for line windows and undocumented behaviour: Rotation parameter read control seems to mirror/have a correlation in the subsequent register. Don't repeat ROZ when screen over process is equal to 1, fixes (MESS) D-Xhird practice stage. Implemented vertical cell scroll ((MESS) Sonic Jam) (video\stvvdp2.cpp). Fixed transparent sprite shadows (Game Tengoku and (MESS) Pretty Fighter X). Disable transmask code for mode 2 sprites, fix Sasissu racing stage background clouds color (video\stvvdp1.cpp). Fixed potential bug with window Y sizes when double density interlace is enabled (video\stvvdp2.cpp). Fixed illegal sprite mode in diehard and dnmtdeka [Angelo Salese].